import os
import sys
import logging


class Config:
    PIKA_URL = os.environ['PIKA_URL']
    REDIS_URL = os.environ["REDIS_URL"]
    PIKA_SAMPLE_CACHE_EXCHANGE = os.environ.get('PIKA_SAMPLE_CACHE_EXCHANGE', 'sample-cache')

    STORAGE_SERVICE_URL = os.environ.get("STORAGE_SERVICE_URL", "http://storage-service/")

    SENTRY_DSN = os.environ.get("SENTRY_DSN")

    RELEASE_ID = os.environ.get('RELEASE_ID', 'test')
    RELEASEMODE = os.environ.get('RELEASEMODE', 'dev')

    LOG_LEVEL = logging.DEBUG if (
                                         '--debug' in sys.argv
                                 ) or (
                                         os.environ.get('DEBUG', '0').lower() in ['yes', 'true', '1']
                                 ) else logging.INFO
